Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.dtdparser.node
Class ElementSetDTDNode

    java.lang.Object
      |
      +--com.japisoft.dtdparser.node.DTDNode
            |
            +--com.japisoft.dtdparser.node.ElementDTDNode
                  |
                  +--com.japisoft.dtdparser.node.ElementSetDTDNode

All Implemented Interfaces:
  DocumentWritable

public class ElementSetDTDNode
extends ElementDTDNode
implements DocumentWritable

Set of node needed

Version:
  1.0
Author:
  (c) 2002-2003 JAPISOFT
See Also:
  `DTDNode`

Field Summary
`static int` | `CHOICE_TYPE` ( element1 | element2 )
`static int` | `SEQUENCE_TYPE` ( element1 , element2 )

Fields inherited from class com.japisoft.dtdparser.node.ElementDTDNode
`ONE_ITEM_OPERATOR, ONE_MORE_ITEM_OPERATOR, ZERO_MORE_ITEM_OPERATOR, ZERO_ONE_ITEM_OPERATOR`

Fields inherited from class com.japisoft.dtdparser.node.DTDNode
`ATTRIBUTE, COMMENT, ELEMENT, ELEMENT_REF, ELEMENT_SET, ENTITY, ROOT`

Constructor Summary
`ElementSetDTDNode()`

Method Summary
`void` | `addDTDNode(DTDNode node)` Overriding for elementRef
`int` | `getType()`
`boolean` | `isNodeChildSupported(java.lang.String nodeName, java.lang.String previousNode, int occurrence)`
`void` | `setType(int type)` Set the type of the set : CHOICE_TYPE or SEQUENCE_TYPE
`java.lang.String` | `toString()`
`void` | `writeDocument(java.io.PrintWriter output)` Write a minimal valid XML document

Methods inherited from class com.japisoft.dtdparser.node.ElementDTDNode
`getAttributeDeclaration, getName, getOperator, getOperatorString, hasANY, hasPCDATA, isEMPTY, setANY, setEMPTY, setName, setOperator, setPCDATA`

Methods inherited from class com.japisoft.dtdparser.node.DTDNode
`getDTDNodeAt, getDTDNodeCount, getDTDNodeForType, getDTDNodeIndex, getDTDNodes, getDTDParentNode, getNodeComment, getNodeType, getRoot, isAttribute, isComment, isElement, isElementRef, isElementSet, isEmpty, isEntity, isRoot, removeDTDNode, setDTDParentNode, setNodeComment, setNodeType, setRoot`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHOICE_TYPE

    public static int CHOICE_TYPE

  ( element1 | element2 )

### SEQUENCE_TYPE

    public static int SEQUENCE_TYPE

  ( element1 , element2 )

Constructor Detail

### ElementSetDTDNode

    public ElementSetDTDNode()

Method Detail

### setType

    public void setType(int type)

  Set the type of the set : CHOICE_TYPE or SEQUENCE_TYPE

### getType

    public int getType()

  Returns:
    the type of the set

### isNodeChildSupported

    public boolean isNodeChildSupported(java.lang.String nodeName,
                                        java.lang.String previousNode,
                                        int occurrence)

  Overrides:
    `isNodeChildSupported` in class `ElementDTDNode`
  Returns:
    `true` if the nodeName is supported, previousNode is the previous child, occurence if for the child count

                <A>
                <B> </B>
                <C> </C>
                </A>

    B is the previous child node of C. B appears only 1 so we will invoke as sample `isNodeChildSupported( "A", "B", 1 )`

### addDTDNode

    public void addDTDNode(DTDNode node)

  Overriding for elementRef

  Overrides:
    `addDTDNode` in class `ElementDTDNode`

### writeDocument

    public void writeDocument(java.io.PrintWriter output)
                       throws java.io.IOException

  Write a minimal valid XML document

  Specified by:
    `writeDocument` in interface `DocumentWritable`
  Overrides:
    `writeDocument` in class `ElementDTDNode`
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ElementDTDNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD